
Ryzom - Feature # 101

Status: Closed Priority: Low
Author: kaetemi Category: NeL: General
Created: 09/13/2008 Assignee: kaetemi
Updated: 09/30/2010 Due date:
Subject: Replace EAX with EFX
Description

Replace all the EAX stuff with the newer EFX stuff in the OpenAL driver.
This will remove the eax2.0 (eax.dll) and alut (alut.dll) dependencies, but might add efx-util (static, and already in external library
package anyways) as a dependency under windows (for converting some old EAX params to EFX params).

http://connect.creativelabs.com/developer/Wiki/Introduction%20to%20EFX.aspx

History
#1 - 09/25/2008 11:56 am - kaetemi
- % Done changed from 0 to 50
- Estimated time set to 40.00

#2 - 10/06/2008 06:47 am - kaetemi
- Category changed from Sound to Sound Lowlevel
- % Done changed from 50 to 60

#3 - 11/03/2008 04:54 pm - kaetemi
- Status changed from Assigned to Closed
- % Done changed from 60 to 100

Change of planning.
Replaced by #99 (buffer streaming, music)
Replaced by #132 (manual rolloff for openal)
Replaced by #100 (multi channel buffers)
Replaced by #167 (occlusion and obstruction)

#4 - 05/11/2009 07:53 pm - sfb
- Target version set to Version 0.7.0

Setting the target version appropriately.

#5 - 09/29/2010 09:11 pm - kervala
- Project changed from NeL to Ryzom
- Category deleted (Sound Lowlevel)
- Target version deleted (Version 0.7.0)

#6 - 09/30/2010 11:30 am - kervala
- Category set to NeL: General
- Target version set to Version 0.7.0
